package intrinsic.mx.rpc.wsdl;

public class WSDLMessage extends Object {

	/** Accessors */

	/** Variables */
	public intrinsic.mx.rpc.wsdl.WSDLEncoding encoding;
	public String name;
	public intrinsic.Array parts;
	public boolean isWrapped;
	public intrinsic.QName wrappedQName;

	/** Constants */

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public WSDLMessage() {
}

public WSDLMessage(Object arg0) {
}


/** Static Methods */

/** Methods */
public native void addHeaderFault(intrinsic.mx.rpc.wsdl.WSDLMessage arg0);
public native intrinsic.mx.rpc.wsdl.WSDLMessage getHeaderFault(String arg0);
public native void addPart(intrinsic.mx.rpc.wsdl.WSDLMessagePart arg0);
public native void addHeader(intrinsic.mx.rpc.wsdl.WSDLMessage arg0);
public native intrinsic.mx.rpc.wsdl.WSDLMessage getHeader(String arg0);
public native intrinsic.mx.rpc.wsdl.WSDLMessagePart getPart(String arg0);

}
